summaryrefslogtreecommitdiffstats
path: root/java/netbeans3/files
diff options
context:
space:
mode:
authorolgeni <olgeni@FreeBSD.org>2003-06-02 12:18:17 +0000
committerolgeni <olgeni@FreeBSD.org>2003-06-02 12:18:17 +0000
commit3b11d00710ba85f901ba01e0016fb2ae987fb31d (patch)
tree52a6c16ddc002502f5971e59d733a95d873c8927 /java/netbeans3/files
parentb11fa5e5313610a01d0ccc16a83e0b9e44f513b3 (diff)
downloadFreeBSD-ports-3b11d00710ba85f901ba01e0016fb2ae987fb31d.zip
FreeBSD-ports-3b11d00710ba85f901ba01e0016fb2ae987fb31d.tar.gz
Add a port for NetBeans, fix the startup script ("expr" syntax) and
use the javavm command to start.
Diffstat (limited to 'java/netbeans3/files')
-rw-r--r--java/netbeans3/files/patch-bin_runide.sh67
1 files changed, 67 insertions, 0 deletions
diff --git a/java/netbeans3/files/patch-bin_runide.sh b/java/netbeans3/files/patch-bin_runide.sh
new file mode 100644
index 0000000..7845dbf
--- /dev/null
+++ b/java/netbeans3/files/patch-bin_runide.sh
@@ -0,0 +1,67 @@
+
+$FreeBSD$
+
+--- bin/runide.sh.orig Mon Jun 2 11:23:48 2003
++++ bin/runide.sh Mon Jun 2 11:26:50 2003
+@@ -157,7 +157,7 @@
+
+ -hotspot|-client|-server|-classic|-native|-green) thread_flag=$1;;
+ -J-hotspot|-J-client|-J-server|-J-classic|-J-native|-J-green) thread_flag=`expr $1 : '-J\(.*\)'`;;
+- -J*) jopt=`expr "$1" : '-J\(.*\)'`; jargs="$jargs \"$jopt\"";;
++ -J*) jopt=`expr -- "$1" : '-J\(.*\)'`; jargs="$jargs \"$jopt\"";;
+ *) args="$args \"$1\"" ;;
+ esac
+ shift
+@@ -182,25 +182,6 @@
+ parse_args "$@"
+
+ #
+-# check JDK
+-#
+-
+-if [ -z "$jdkhome" ] ; then
+- echo "Cannot find JDK. Please set the JDK_HOME environment variable to point"
+- echo "to your JDK installation directory, or use the -jdkhome switch"
+- echo ""
+- exit 1
+-fi
+-
+-if [ ! -x "${jdkhome}/bin/java" ] ; then
+- echo "Cannot find JDK at ${jdkhome}. Please set the JDK_HOME"
+- echo "environment variable to point to your JDK installation directory,"
+- echo "or use the -jdkhome switch"
+- echo ""
+- exit 1
+-fi
+-
+-#
+ # open file?
+ #
+
+@@ -212,7 +193,7 @@
+ if [ ! -z "$port" ] ; then
+ args="$args -port $port"
+ fi
+- eval "\"$jdkhome/bin/java\"" -classpath "\"${idehome}/modules/utilities.jar\"" $openfile_class $args "\"$openfile\""
++ eval javavm -classpath "\"${idehome}/modules/utilities.jar\"" $openfile_class $args "\"$openfile\""
+ rc=$?
+
+ if [ $rc -eq 0 -o $rc -eq 1 ] ; then
+@@ -267,7 +248,7 @@
+ }
+
+ do_run_updater() {
+- eval "\"$jdkhome/bin/java\"" $thread_flag -classpath "\"${updatercp}\"" $jargs $updater_class
++ eval javavm $thread_flag -classpath "\"${updatercp}\"" $jargs $updater_class
+ }
+
+ look_for_pre_runs() {
+@@ -406,7 +387,7 @@
+ openfile=""
+ fi
+
+- eval "\"${jdkhome}/bin/java\"" -Djdk.home="\"${jdkhome}\"" $thread_flag -classpath "\"$cp\"" \
++ eval javavm -Djdk.home="\"${jdkhome}\"" $thread_flag -classpath "\"$cp\"" \
+ -Dnetbeans.osenv="${nbenvfile}" \
+ ${openfile_prop} \
+ $jargs $ide_class $args
OpenPOWER on IntegriCloud